Ignore workflow transitions that already defined and now is not appliable
2022-06-09 13:43 - salman mp

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues workflow Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version:

Description

Suppose some workflow transitions defined for one role. Then if permissions of add_issues and edit_issues removed for that role,
Admin can see their transitions related statuses as allowed new statuses, when editing an issue.

There is no way to remove that transitions (except adding permission of add/edit to role temporarily), because in workflow transition
edit page, only roles that can add and edit issues are listed.

Related issues:
Related to Redmine - Defect #37635: Respect Role#consider_workflow? when chec... Closed

History

#1 - 2022-06-29 05:39 - Go MAEDA

- Tracker changed from Patch to Defect

- Status changed from New to Confirmed

salman mp wrote:
There is no way to remove that transitions (except adding permission of add/edit to role temporarily), because in workflow transition edit page,
only roles that can add and edit issues are listed.

Confirmed the issue.

Here are the steps | tried:

1. Load the bundled test fixture by running “bin/rails db:fixtures:load"

2. Remove "Add issues" and "Edit issues" permission from "Manager" role
3. Go to /workflows/edit page. "Manager" does not appear in "Role" drop-down

#2 - 2022-09-06 14:57 - Mischa The Evil

- Related to Defect #37635: Respect Role#consider_workflow? when checking for allowed status transitions added

#3 - 2022-09-17 08:17 - Go MAEDA
- Status changed from Confirmed to Closed

- Resolution set to Fixed

Fixed by r21817.
